@echo off
if "%1"=="" goto err

echo ----
echo -    Double-check that you've entered the right path to your
echo -    Dark Reign directory. If you haven't, the scenario
echo -    won't be properly installed and won't work!
echo -    We're assuming you've entered the directory name
echo -    according to this format:
echo -    onlin3 c:\"program files"\activision\"dark reign"
echo ----

pause

if not exist %1\dark\addon\nul goto makedir

:go

md %1\dark\addon\onlin3

copy onlin3.ftg %1\dark\addon\onlin3

md %1\dark\scenario\single\onlin3

copy onlin3.map %1\dark\scenario\single\onlin3
copy onlin3.scn %1\dark\scenario\single\onlin3
copy tactics.mm %1\dark\scenario\single\onlin3
copy packman.cfg %1\dark\scenario\single\onlin3
copy onlin3.cfg %1\dark\addon\onlin3
copy mlstring.cfg %1\dark\scenario\single\onlin3
copy build.txt %1\dark\scenario\single\onlin3
copy dethloss.end %1\dark\scenario\single\onlin3
copy gamemsg.txt %1\dark\scenario\single\onlin3
copy onlin3.brf %1\dark\scenario\single\onlin3
copy win.end %1\dark\scenario\single\onlin3
copy alliance.fsm %1\dark\scenario\single\onlin3
copy main.fsm %1\dark\scenario\single\onlin3
copy units.txt %1\dark\scenario\single\onlin3
copy weapon.txt %1\dark\scenario\single\onlin3
copy release.fsm %1\dark\scenario\single\onlin3
copy ovleff.txt %1\dark\scenario\single\onlin3

goto success

:success

echo -
echo -    Your game directory is now updated with the new mission!
echo -
goto end

:err

echo /--------------------------------------------------------------------\
echo -    Enter the directory in which you installed Dark Reign.   -
echo -                                                                    -
echo -    eg: onlin2 c:\"program files"\activision\"dark reign"            -
echo \--------------------------------------------------------------------/
pause
goto end

:makedir

@md %1\dark\addon

goto go

:end

